# 32/64bit spec
#
%define game_name berusky
%define name berusky-data
%define version 1.7
%define release %mkrel 1
%define summary A datafile for Berusky

Summary: %{summary}
Summary(de): Daten für Berusky
Name: %{name}
Version: %{version}
Release: %{release}
License:        GPL
Group:          Games/Logic
Source:         http://www.anakreon.cz/download/berusky/tar.gz/%{name}-%{version}.tar.xz
URL:            http://www.anakreon.cz/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires: 	glibc >= 2.10.1
Requires: 	libstdc++6 >= 4.4.1

%description
A datafile for Berusky. Berusky is a 2D logic game based on an ancient 
puzzle named Sokoban.

An old idea of moving boxes in a maze has been expanded with new logic 
items such as explosives, stones, special gates and so on. 
In addition, up to five bugs can cooperate and be controlled by the player.

This package contains a data for the game, i.e. files with graphics, levels,
game rules and configuration.

#german
%description -l de
Sokoban-ähnliches Klötzchenschieben, welches das klassische Spielkonzept 
um neue Elemente wie Explosivstoffe und Teleporter erweitert; wem die 120 
enthaltenen Level nicht reichen, der kann mit dem beiliegenden Leveleditor 
selbst für Nachschub sorgen.

Dieses Paket beinhaltet die Daten für das Spiel es sind die Grafiken, Levels,
Spielregeln und Konfigurationen.

%prep
%setup -q -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{game_name}

mv GameData %{buildroot}%{_datadir}/%{game_name}
mv Graphics %{buildroot}%{_datadir}/%{game_name}
mv Levels   %{buildroot}%{_datadir}/%{game_name}
mv README   %{buildroot}%{_datadir}/%{game_name}
mv COPYING  %{buildroot}%{_datadir}/%{game_name}
install -m 644 berusky.ini %{buildroot}%{_datadir}/%{game_name}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%posttrans
# get system users
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
  if [ ! -d /home/$idx/.berusky ] ; then
  mkdir -p /home/$idx/.berusky   
  /bin/cp /usr/share/berusky/berusky.ini /home/$idx/.berusky/berusky.ini
  chown -R $idx.`id -gn $idx` /home/$idx/.berusky
  fi
done

%files
%defattr(-, root, root)
%{_datadir}/%{game_name}/*

%changelog
* Sat Dec 21 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.7-1pclos2013
- 1.7

* Wed Mar 06 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.6-1pclos2013
- 1.6
- fixed SYSUSERS for non bash shells

* Mon Mar 26 2012 Neal <nealbrks0 at gmail dot com> 1.4-1pclos2012
- process

* Mon Mar 26 2012 leiche <meisssw01 at gmail.com> 1.4-1pclos2012
- 1.4
- add german description
- convert archive to xz

* Mon Dec 07 2009 Texstar <texstar at gmail.com> 1.1-5pclos2010
- add post script

* Tue Nov 03 2009 Texstar <texstar at gmail.com> 1.1-4pclos2010
- rebuild

* Sat Oct 31 2009 Texstar <texstar at gmail.com> 1.1-3pclos2010
- gcc update

* Fri Feb 01 2008 P. K. Frederic <pkfric@yahoo.com> 1.1-1pclos2007
- first RPM for PCLinuxOS


